<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="25" infoRejectCounter="0">
  <summary>
    <timer wall="2" cpu="2.47175" calls="1"/>
    <!-- memory in MB-->
    <memory final="181.44" peak="185.96"/>
  </summary>
  <header id="">
    <environment started="2017-Oct-20 13:06:19" host="eamc061"/>
    <progOpts problem="profile_3d" parameterFile="/home/fwein/code/cfs-test/TESTSUIT/Optimization/ShapeMap/profile_3d/profile_3d.xml" schemaPath="/home/fwein/code/cfs/share/xml" meshFile="" logConfFile="" detailed="no" MKL_NUM_THREADS="1" OMP_NUM_THREADS="1">
      <cfs version="17.8" name="AMGme" build="Release" svn_revision="15951 modified" svn_branch="Fabian_Wein_TopOpt_0415" exe="cfs_rel"/>
    </progOpts>
    <domain nx="8" ny="8" nz="8">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <grids>
        <grid gridId="default" dimensions="3" elements="512" nodes="729"/>
      </grids>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="729" elems="512" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="left" count="81"/>
        <nodes name="right" count="81"/>
        <nodes name="bottom" count="81"/>
        <nodes name="top" count="81"/>
        <nodes name="back" count="81"/>
        <nodes name="front" count="81"/>
        <nodes name="left_bottom_back" count="1" coord="(0,0,0)"/>
        <nodes name="right_bottom_back" count="1" coord="(1,0,0)"/>
        <nodes name="left_top_back" count="1" coord="(0,1,0)"/>
        <nodes name="right_top_back" count="1" coord="(1,1,0)"/>
        <nodes name="left_bottom_front" count="1" coord="(0,0,1)"/>
        <nodes name="right_bottom_front" count="1" coord="(1,0,1)"/>
        <nodes name="left_top_front" count="1" coord="(0,1,1)"/>
        <nodes name="right_top_front" count="1" coord="(1,1,1)"/>
        <nodes name="load" count="1" coord="(1,1,0.5)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="8" ny="8" nz="8" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" BOp="StrainOperator3D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="load" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.03"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="bottom" dofs="x y z"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="1944" totalNumFreeEqns="1944" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="1944" lastFreeEqn="1944" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="1944" lastFreeIndex="1944"/>
          </sbmBlocks>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="1944" totalNumCols="1944" totalNumNonZeros="123750" totalFillLevelPerCent="3.2746" totalMemory="0.94414">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="1944" numCols="1944" numNonZeros="123750" fillLevelPerCent="3.2746" memory="0.94414" upperBandWidth="1934" lowerBandWidth="1934" avgBandWidth="763" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <cholmod>
            <header>
              <parameters>
                <factorization>
                  <nmethods default="0"/>
                  <postorder default="1"/>
                  <dbound default="0"/>
                </factorization>
                <supernodal>
                  <method default="auto"/>
                  <switch default="40"/>
                </supernodal>
                <output>
                  <level default="3"/>
                  <precise default="0"/>
                </output>
              </parameters>
            </header>
            <summary>
              <setup>
                <timer label="setup_cholmod" wall="0" cpu="0.114032" calls="17"/>
              </setup>
              <solve>
                <timer label="solve_cholmod" wall="0" cpu="0.003766" calls="17"/>
              </solve>
            </summary>
            <process>
              <setup selected_factorization_method="1" ll_flop_count="7.3685e+07" nz_in_L="3.212e+05" nz_in_triA="62847" memory_usage="" memory_inuse="" malloc_count="" nrealloc_col="0" nrealloc_factor="0" ndbounds_hit="0">
                <method id="1" lnz="3.212e+05" fl="7.3685e+07"/>
              </setup>
              <solver/>
            </process>
          </cholmod>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall="0" cpu="1.2e-05" calls="17"/>
              </setup>
              <precond>
                <timer wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="0" cpu="0.179131" calls="34"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/fwein/code/cfs-test/TESTSUIT/Optimization/ShapeMap/profile_3d/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="curvature" name="curvature_(profile)" parameter="0" linear="yes" filtered="yes" locality="prev_next" local_size="7" periodic="no" bound_value="0.0125" bound="upperBound" design="profile"/>
        <constraint type="volume" name="volume" linear="no" filtered="yes" bound_value="0.25" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall="0" cpu="0" calls="0" sub="true"/>
        </gradient_chain_rule>
        <shapeMap overlap="max">
          <numInt max_order="11" sensitivity="1e-09" integration="tailored" tailored_order="1->11 0.1->11 0.01->11 0.001->9 0.0001->9 1e-05->7 1e-06->2 ">
            <warning> resolution and beta combination allows no sufficient numerical integration for sensitvity 1.0000000000000001e-09</warning>

          </numInt>
          <mesh n="8 8 8" min="0 0 0" max="1 1 1" step="0.125 0.125 0.125"/>
        </shapeMap>
        <transferFunctions>
          <transferFunction type="identity" application="mech" design="density"/>
        </transferFunctions>
        <designVariables optimizationVariables="9" modelVariables="512" modelElements="512">
          <design type="density" upperBound="1" lowerBound="1e-07" physicalLowerBound="1e-07"/>
          <shapeParam idx="0" type="node" dof="x" fixed="1" variables="9" design="0" left_right_sym="none" bottom_up_sym="none"/>
          <shapeParam idx="1" type="node" dof="z" fixed=".5" variables="9" design="0" left_right_sym="none" bottom_up_sym="none"/>
          <shapeParam idx="2" type="profile" lower=".1" upper=".8" clamp="no" variables="9" design="9" left_right_sym="none" bottom_up_sym="none"/>
        </designVariables>
        <regions>
          <region name="mech" elements="512" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <snopt/>
    </header>
    <commit mode="forward" stride="99"/>
    <optimizer>
      <summary snopt_outputfile="profile_3d.snopt">
        <snopt>
          <timer wall="0" cpu="0.01126" calls="72"/>
        </snopt>
        <snopt_exit exit="0" info="32"/>
        <evaluations f_evals="18" g_evals="17"/>
      </summary>
    </optimizer>
    <summary problem="SNOPT: resource limit error - major iteration limit reached" snopt_exit="32">
      <eval_objective>
        <timer wall="0" cpu="0.361904" calls="88"/>
      </eval_objective>
      <eval_constraints>
        <timer wall="0" cpu="0.000247" calls="18"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall="2" cpu="0.846665" calls="17"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall="0" cpu="0.81881" calls="18"/>
      </eval_grad_constraints>
      <break converged="no"/>
    </summary>
    <process>
      <iteration number="0" duration="0" compliance="330.02" max_curvature_profile="0" infeas_curvature_profile="0" volume="0.11091"/>
      <iteration number="1" duration="0" compliance="116.1" max_curvature_profile="0.0125" infeas_curvature_profile="4" volume="0.32196"/>
      <iteration number="2" duration="0" compliance="148.27" max_curvature_profile="0.0048344" infeas_curvature_profile="0" volume="0.1815"/>
      <iteration number="3" duration="0" compliance="488.75" max_curvature_profile="0.0125" infeas_curvature_profile="3" volume="0.35514"/>
      <iteration number="4" duration="0" compliance="139.04" max_curvature_profile="0.0032068" infeas_curvature_profile="0" volume="0.21488"/>
      <iteration number="5" duration="1" compliance="135.37" max_curvature_profile="0.0024268" infeas_curvature_profile="0" volume="0.19393"/>
      <iteration number="6" duration="0" compliance="95.612" max_curvature_profile="0.0125" infeas_curvature_profile="1" volume="0.25379"/>
      <iteration number="7" duration="0" compliance="97.219" max_curvature_profile="0.0125" infeas_curvature_profile="1" volume="0.25002"/>
      <iteration number="8" duration="0" compliance="97.178" max_curvature_profile="0.0125" infeas_curvature_profile="2" volume="0.25"/>
      <iteration number="9" duration="0" compliance="97.165" max_curvature_profile="0.0125" infeas_curvature_profile="2" volume="0.25"/>
      <iteration number="10" duration="0" compliance="97.163" max_curvature_profile="0.0125" infeas_curvature_profile="2" volume="0.25"/>
      <iteration number="11" duration="0" compliance="97.16" max_curvature_profile="0.0125" infeas_curvature_profile="2" volume="0.25"/>
      <iteration number="12" duration="1" compliance="97.159" max_curvature_profile="0.0125" infeas_curvature_profile="2" volume="0.25"/>
      <iteration number="13" duration="0" compliance="97.155" max_curvature_profile="0.0125" infeas_curvature_profile="2" volume="0.25"/>
      <iteration number="14" duration="0" compliance="97.153" max_curvature_profile="0.0125" infeas_curvature_profile="3" volume="0.25"/>
      <iteration number="15" duration="0" compliance="97.155" max_curvature_profile="0.0125" infeas_curvature_profile="2" volume="0.25"/>
      <iteration number="16" duration="0" compliance="97.152" max_curvature_profile="0.0125" infeas_curvature_profile="3" volume="0.25"/>
    </process>
  </optimization>
</cfsInfo>